none
SCD - Urgente incompatibilidade entre SQL Server 2k8 R2 eSQL Server 2k8 RRS feed

  • Pergunta

  • Boa tarde pessoal,

    Desenvolvi  um package na versão 2k8 R2 e ao publicar  em Produção (onde o ambiente é 2k8) recebi a mensagem abaixo:

     

    Message

    Executed as user: XXXDNN1209\SqlServer. Microsoft (R) SQL Server Execute Package Utility  Version 10.50.1600.1 for 64-bit  Copyright (C) Microsoft Corporation 2010. All rights reserved.    Started:  10:49:42  Error: 2011-11-03 10:49:51.65     Code: 0xC0048020     Source: DAD_hierarquia_produto DAD_hierarquia_produto (SSIS.Pipeline)     Description: The version of component "SlowlyChangingDimension" (757) is not compatible with this version of the DataFlow.  End Error  Error: 2011-11-03 10:49:51.75     Code: 0xC0048020     Source: DAD_produtos DAD_produtos (SSIS.Pipeline)     Description: The version of component "SlowlyChangingDimension" (757) is not compatible with this version of the DataFlow.  End Error  Error: 2011-11-03 10:49:52.03     Code: 0xC0048020     Source: DAD_hierarquia_comercial DAD_hierarquia_comercial (SSIS.Pipeline)     Description: The version of component "Slowly Changing Dimension" (848) is not compatible with this version of the DataFlow.  End Error  Error: 2011-11-03 10:49:52.33     Code: 0xC0048020     Source: DAD_Estoques DAD_Estoques (SSIS.Pipeline)     Description: The version of component "Slowly Changing Dimension" (2229) is not compatible with this version of the DataFlow.  End Error  Error: 2011-11-03 10:49:54.47     Code: 0xC0048020     Source: DAD_Estoques SSIS.Pipeline     Description: The version of component "Slowly Changing Dimension" (2229) is not compatible with this version of the DataFlow.  End Error  Error: 2011-11-03 10:49:55.88     Code: 0xC0048021     Source: DAD_Estoques Slowly Changing Dimension [2229]     Description: The component is missing, not registered, not upgradeable, or missing required interfaces. The contact information for this component is "Slowly Changing Dimension;Microsoft Corporation; Microsoft SqlServer v10; (C) Microsoft Corporation; All Rights Reserved; http://www.microsoft.com/sql/support;3".  End Error  Error: 2011-11-03 10:49:55.88     Code: 0xC0047017     Source: DAD_Estoques SSIS.Pipeline     Description: component "Slowly Changing Dimension" (2229) failed validation and returned error code 0xC0048021.  End Error  Error: 2011-11-03 10:49:55.89     Code: 0xC004700C     Source: DAD_Estoques SSIS.Pipeline     Description: One or more component failed validation.  End Error  Error: 2011-11-03 10:49:55.90     Code: 0xC0024107     Source: DAD_Estoques      Description: There were errors during task validation.  End Error  DTExec: The package execution returned DTSER_FAILURE (1).  Started:  10:49:42  Finished: 10:49:55  Elapsed:  13.4 seconds.  The package execution failed.  The step failed.

     

     

    Existe alguma forma de torná-lo compatível?

     

    abraços!

    Juliandro

    quinta-feira, 3 de novembro de 2011 16:05

Respostas

Todas as Respostas

  • Juliandro,

     

    DO 2k8 para o 2k8r2, voce consegue migrar seu pacote de versão ao abri-lo em um BIDS de versão superior, curiosamente nunca testei se isso funciona para versões inferiores, porem, tendo em vista backups entre outras coisas, nao sei se sera possivel.

    Não consegui encontrar nada nd ferramenta tambem.

     

    Veja este link: http://www.sqlservercentral.com/Forums/Topic1046316-148-1.aspx


    Fabrizzio A. Caputo
    Certificações:
    Oracle OCA 11g
    MCITP SQL Server 2008 Implementation and Maintenance
    MCITP SQL Server 2008 Developer
    Blog Pessoal: www.fabrizziocaputo.wordpress.com
    Blog Empresa: www.tripletech.com.br/blog
    Twitter: @FabrizzioCaputo
    Email: fabrizzio.antoniaci@gmail.com
    • Marcado como Resposta Juliandro sexta-feira, 4 de novembro de 2011 16:03
    quinta-feira, 3 de novembro de 2011 16:13
    Moderador
  • Fabrizzio,

    Obrigado, através do link que me enviastes encontrei um outro link http://ssisdowngrade.codeplex.com/

    trata-se de um pequeno software que realiza o downgrade para a versão 2k5 e então, após o downgrade, abri  o projeto no 2k8 e beleza...

     

    muito obrigado.

    #fica a dica... para quem precisar fazer um down para o 2k5 mais fácil ainda ...

    Abraço!

    Juliandro Figueiró

    sexta-feira, 4 de novembro de 2011 16:03
  • Juliandro,

    Obrigado pelo retorno e dica em relação a este software, realmente diversos usuários tem esta necessidade de realizar um downgrade.

    Valeu.


    Pedro Antonio Galvão Junior [MVP | Microsoft Evangelist | Microsoft Partner | Engenheiro de Softwares | Especialista em Banco de Dados | SorBR.Net | Professor Universitário | MSIT.com]
    sábado, 5 de novembro de 2011 23:20
    Moderador